org.deidentifier.arx.gui.view.impl.utility

## Class ViewStatisticsSummaryTable

- java.lang.Object
- - org.deidentifier.arx.gui.view.impl.utility.ViewStatistics<AnalysisContextDistribution>
  - - org.deidentifier.arx.gui.view.impl.utility.ViewStatisticsSummaryTable

All Implemented Interfaces:
  IView

    public class ViewStatisticsSummaryTable
    extends ViewStatistics<AnalysisContextDistribution>

This view displays summary statistics.

Author:
  Fabian Prasser

### Field Summary

### Fields inherited from class org.deidentifier.arx.gui.view.impl.utility.ViewStatistics

`MINIMAL_WORKING_TIME`

### Constructor Summary

Constructors
Constructor and Description
`ViewStatisticsSummaryTable(org.eclipse.swt.widgets.Composite parent, Controller controller, ModelEvent.ModelPart target, ModelEvent.ModelPart reset)` Creates a new instance.

### Method Summary

All Methods Instance Methods Concrete Methods
`LayoutUtility.ViewUtilityType` `getType()` Returns the type

### Methods inherited from class org.deidentifier.arx.gui.view.impl.utility.ViewStatistics

`dispose, reset, triggerStop, triggerUpdate, update`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ViewStatisticsSummaryTable

    public ViewStatisticsSummaryTable(org.eclipse.swt.widgets.Composite parent,
                                      Controller controller,
                                      ModelEvent.ModelPart target,
                                      ModelEvent.ModelPart reset)

Creates a new instance.

Parameters:
  `parent` -
  `controller` -
  `target` -
  `reset` -

### Method Detail

#### getType

    public LayoutUtility.ViewUtilityType getType()

Description copied from class: `ViewStatistics`
Returns the type

Specified by:
  `getType` in class `ViewStatistics<AnalysisContextDistribution>`
Returns: